# \file ./IncludeDirectories.cmake
# \date 05/13/2003
# \author Anilkumar Patro

#-----------------------------------------------------------------------------
# Include directories for other projects installed on the system.
SET(XMDV_INCLUDE_DIRS_SYSTEM "")

# OpenGL include directories.
SET(XMDV_INCLUDE_DIRS_SYSTEM ${XMDV_INCLUDE_DIRS_SYSTEM}
    ${OPENGL_INCLUDE_DIR})

# X include directories.
SET(XMDV_INCLUDE_DIRS_SYSTEM ${XMDV_INCLUDE_DIRS_SYSTEM}
    ${X11_INCLUDE_DIR})

# Tcl/Tk include directories.
SET(XMDV_INCLUDE_DIRS_SYSTEM ${XMDV_INCLUDE_DIRS_SYSTEM} ${TCL_INCLUDE_PATH})
SET(XMDV_INCLUDE_DIRS_SYSTEM ${XMDV_INCLUDE_DIRS_SYSTEM} ${TK_INCLUDE_PATH})
IF (WIN32)
    SET(XMDV_INCLUDE_DIRS_SYSTEM ${XMDV_INCLUDE_DIRS_SYSTEM} ${TK_XLIB_PATH})
ENDIF (WIN32)

# Oracle Pro*C/C++ include directories
IF(XMDV_USE_BACKEND)
    SET(XMDV_INCLUDE_DIRS_SYSTEM ${XMDV_INCLUDE_DIRS_SYSTEM} ${ORACLE_PROC_INCLUDE_PATH})
ENDIF(XMDV_USE_BACKEND)

# XML Parser include directories
IF(XMDV_USE_META)
    IF(XMDV_USE_XMLPARSER_XERCES)
	    SET(XMDV_INCLUDE_DIRS_SYSTEM ${XMDV_INCLUDE_DIRS_SYSTEM} ${XERCES_INCLUDE_DIR})
    ENDIF(XMDV_USE_XMLPARSER_XERCES)
    IF(XMDV_USE_XMLPARSER_EXPAT)
            SET(XMDV_INCLUDE_DIRS_SYSTEM ${XMDV_INCLUDE_DIRS_SYSTEM} ${EXPAT_INCLUDE_DIR})
    ENDIF(XMDV_USE_XMLPARSER_EXPAT)
    IF(XMDV_USE_XMLPARSER_MSXML)
            SET(XMDV_INCLUDE_DIRS_SYSTEM ${XMDV_INCLUDE_DIRS_SYSTEM} ${MSXML_INCLUDE_DIR})
    ENDIF(XMDV_USE_XMLPARSER_MSXML)
    IF(XMDV_USE_XMLPARSER_LIBXML)
            SET(XMDV_INCLUDE_DIRS_SYSTEM ${XMDV_INCLUDE_DIRS_SYSTEM} ${LIBXML_INCLUDE_DIR})
    ENDIF(XMDV_USE_XMLPARSER_LIBXML)
ENDIF(XMDV_USE_META)

#-----------------------------------------------------------------------------
# Include directories for 3rd-party utilities provided by XMDV.

# TOGL directory
SET(TOGL_DIR ${XMDV_SOURCE_DIR}/ext/libs/togl)
IF(UNIX)
    SET(TOGL_DIR ${TOGL_DIR}-linux)
ENDIF(UNIX)
SET(XMDV_INCLUDE_DIRS_SYSTEM ${XMDV_INCLUDE_DIRS_SYSTEM} ${TOGL_DIR})

# ARABICA directory
IF(XMDV_USE_META)
    SET(XMDV_INCLUDE_DIRS_SYSTEM ${XMDV_INCLUDE_DIRS_SYSTEM} ${XMDV_SOURCE_DIR}/ext/libs/arabica)
ENDIF(XMDV_USE_META)

#-----------------------------------------------------------------------------
# Include directories from the source tree.
SET(XMDV_INCLUDE_DIRS_SOURCE_TREE "")

# it would be better to just keep this rather individual include directories
SET(XMDV_INCLUDE_DIRS_SOURCE_TREE ${XMDV_INCLUDE_DIRS_SOURCE_TREE} ${XMDV_INCLUDE_DIR})

#SET(XMDV_INCLUDE_DIRS_SOURCE_TREE ${XMDV_INCLUDE_DIRS_SOURCE_TREE} ${XMDV_INCLUDE_DIR}/backend)

#SET(XMDV_INCLUDE_DIRS_SOURCE_TREE ${XMDV_INCLUDE_DIRS_SOURCE_TREE} ${XMDV_INCLUDE_DIR}/xmdv)

#IF(XMDV_USE_META)
#   SET(XMDV_INCLUDE_DIRS_SOURCE_TREE ${XMDV_INCLUDE_DIRS_SOURCE_TREE} ${XMDV_INCLUDE_DIR}/meta)
#ENDIF(XMDV_USE_META)

# Log:
# $Log: IncludeDirectories.cmake,v $
# Revision 1.1  2003/09/01 23:09:21  anil
# Initial import of project tree.
#
#
