// Value.h: interface for the Value class.
//
//////////////////////////////////////////////////////////////////////

#ifndef __VALUE_H__
#define __VALUE_H__

#include <meta/Interfaces.h>

class Value : public IValue
{
public:
	Value();
	virtual ~Value();
	
	// Type support
	bool isOfType(Type type) const 
	{
		Type myType = getType();
		if ( type == myType ) return true;
		return myType.isDerivedFrom(type);
	}
	virtual Type getType() const 
	{ 
		return Value::getTypeId(); 
	}
	static Type getTypeId() 
	{
		if ( mTypeId.isBad() ) {
			// if type is not yet assigned to this value, then assign it now
			mTypeId = Type::registerAbstractType(mTypeId, "null");
		}
		return mTypeId;
	}
	
protected :
	
	static Type mTypeId;
	
	
};

#endif //__VALUE_H__